<!DOCTYPE html>
<html>

<head>
  <title>Pizza Project 365.1.9 Nhánh Task 44.20</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">

  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

  <!-- Import them style bootstrap cho datatable -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">

  <!-- Import Datatable sau jquery -->
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

  <!-- Import awesome-->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.3.0/css/all.min.css">
  <!-- Các file css và js tự định nghĩa thêm -->
  <link rel="stylesheet" href="style.css">
    <!--File Script comment out -->
  <!-- <script src="script.js"></script>-->

</head>

<body>
  <!-- Menu -->
  <div class="container-fluid bg-light">
    <div class="row">
      <div class="col-sm-12">
        <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-warning" style=" opacity: 0.8">
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav nav-fill w-100">
              <li class="nav-item active">
                <a class="nav-link" href="#">HOME</a>
              </li>
              <li class="nav-item active">
                <a class="nav-link" href="#plans">Combo</a>
              </li>
              <li class="nav-item active">
                <a class="nav-link" href="#pizzatype">Pizza Type</a>
              </li>
              <li class="nav-item active"> <!-- đổi thành dạng click để dễ xử lý-->
                <button class="btn" id="order-detail-btn"> Send Order</button>
              </li>
            </ul>
          </div>
        </nav>
      </div>
    </div>
  </div>

  <!-- Content -->
  <div class="container" style="padding: 120px 0 50px 0;">
    <div class="row">
      <div class="col-sm-12">
        <div class="row">
          <!-- Title row home -->
          <div class="col-sm-12">
            <h1 style="color: rgba(34, 3, 49, 0.897) "><b>Pizza 356</b></h1>
            <h1 style="color: rgb(164, 10, 235); font-family: cursive;"><b>Truly italian!</b></h1>
            <p class="mb-4 mb-md-5" id="subheading-content-0"></p>
          </div>

          <!-- Slide row home -->
          <div class="col-sm-12">
            <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
              <ol class="carousel-indicators">
                <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
              </ol>
              <div class="carousel-inner">
                <div class="carousel-item active">
                  <img class="d-block w-100" src="images/1.jpg" alt="First slide" width="500" height="600">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/2.jpg" alt="Second slide" width="500" height="600">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/3.jpg" alt="Third slide" width="500" height="600">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/4.jpg" alt="Forth slide" width="500" height="600">
                </div>
              </div>
              <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
              </a>
              <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
              </a>
            </div>
          </div>

          <!-- 1 Title tại sao lại pizza 365 -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom" style="color: orange">Tại sao lại Pizza 365!</b></h2>
          </div>

          <!-- Content  -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-3 p-4"
                style="background-color: lightgoldenrodyellow; border-style: solid; border-color : brown">
                <h3 class="p-2">Đa dạng</h3>
                <p class="p-2">Số lượng pizza đa dạng. Có nhiều loại pizza đang hot nhất hiện nay</p>
              </div>
              <div class="col-sm-3 p-4" style="background-color: yellow; border-style: solid; border-color : brown">
                <h3 class="p-2">Chất lượng</h3>
                <p class="p-2">Nguyên liệu sạch 100%, rõ nguồn gốc, quy trình chế biến đảm bảo vệ sinh an toàn thực phẩm
                </p>
              </div>
              <div class="col-sm-3 p-4"
                style="background-color: lightsalmon; border-style: solid; border-color : brown">
                <h3 class="p-2">Hương vị</h3>
                <p class="p-2">Đảm bảo hương vị ngon độc lạ mà bạn chỉ có thể trải nghiệm tại Pizza 365</p>
              </div>
              <div class="col-sm-3 p-4" style="background-color: orange; border-style: solid; border-color : brown">
                <h3 class="p-2">Dịch vụ</h3>
                <p class="p-2">Nhân viên thân thiện, nhà hàng hiện đại. Dịch vụ giao hàng nhanh, chất lượng, tân tiến
                </p>
              </div>
            </div>
          </div>
        </div>

        <div id="plans" class="row">
          <!--2 Chọn size Pizza -->
          <div class="col-sm-12 text-center p-4 mt-4" style="color:orangered">
            <h2><b class="p-1 border-bottom">Chọn size Pizza</b></h2>
            <p><span class="p-2">Chọn combo pizza phù hợp với nhu cầu của bạn</span></p>
          </div>
          <!-- Content -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4" id="card1">
                <div class="card">
                  <div class="card-header bg-warning text-center" id="card-s">
                    <h3>S (Small)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">Size <b id="sizeS-size"></b> </li>
                      <li class="list-group-item">Grilled ribs <b id="sizeS-grilled"></b> </li>
                      <li class="list-group-item">Salad <b id="sizeS-salad"></b></li>
                      <li class="list-group-item">Drink<b id="sizeS-drink"></b></li>
                      <li class="list-group-item">
                        <h1 style="color: crimson;"><b id="sizeS-price"></b></h1> vnd
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn btn-warning w-100" id="s-select-btn">Select</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card" id="card-m">
                  <div class="card-header bg-warning text-center" id="card-m">
                    <h3>M (Medium)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">Size <b id="sizeM-size"></b> </li>
                      <li class="list-group-item">Grilled ribs <b id="sizeM-grilled"></b> </li>
                      <li class="list-group-item">Salad <b id="sizeM-salad"></b></li>
                      <li class="list-group-item">Drink<b id="sizeM-drink"></b></li>
                      <li class="list-group-item">
                        <h1 style="color: crimson;"><b id="sizeM-price"></b></h1> vnd
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn btn-warning w-100" id="m-select-btn">Select</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card" id="card-l">
                  <div class="card-header bg-warning text-center" id="card-l">
                    <h3>L (Large)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">Size <b id="sizeL-size"></b> </li>
                      <li class="list-group-item">Grilled ribs <b id="sizeL-grilled"></b> </li>
                      <li class="list-group-item">Salad <b id="sizeL-salad"></b></li>
                      <li class="list-group-item">Drink<b id="sizeL-drink"></b></li>
                      <li class="list-group-item">
                        <h1 style="color: crimson;"><b id="sizeL-price"></b></h1> vnd
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn btn-warning w-100" id="l-select-btn">Select</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <!-- 3. Phần Pizza type-->
        <div id="pizzatype" class="container p-3">
          <div class="row mb-3">
            <div class="col-sm-12 text-center p-4 mt-4" style="color: orangered;">
              <h2><b class="p-1 border-bottom">Choose Pizza Type</b></h2>
            </div>
          </div>
          <!-- Card Deck (Course Contents) -->
          <div class="row">
            <div class="col-sm-12">
              <div class="card-deck">
                <div class="card shadow card-hover">
                  <img class="card-img-top" src="images/seafood.jpg">
                  <div class="card-body">
                    <h3>OCEAN MANIA <a class="far fa-bookmark" style="margin-left: 75px;"></a></h3>
                    <h5>PIZZA HẢI SẢN SỐT MAYONNAISE</h5>
                    <hr>
                    <p>Topped with pineapple, tomato sauce, cheese, and either ham</p>
                  </div>
                  <div class="card-footer">
                    <button class="btn w-100" style="background-color: rgba(124, 25, 25, 0.795);"
                      data-is-selected-pizza="N" id="seafood-select-btn">Choose</button>
                  </div>
                </div>
                <div class="card shadow card-hover">
                  <img class="card-img-top" src="images/hawaiian.jpg">
                  <div class="card-body">
                    <h3>HAWAIIAN <a class="far fa-bookmark" style="margin-left: 125px;"></a></h3>
                    <h5>PIZZA JAMBON DỬA KIỂU HAIWAI</h5>
                    <hr>
                    <p>Topped with pineapple, tomato sauce, cheese, and either ham</p>
                  </div>
                  <div class="card-footer">
                    <button class="btn w-100" style="background-color: rgba(124, 25, 25, 0.795);"
                      data-is-selected-pizza="N" id="hawai-select-btn">Choose</button>
                  </div>
                </div>
                <div class="card shadow card-hover">
                  <img class="card-img-top" src="images/bacon.jpg">
                  <div class="card-body">
                    <h3>CHICKEN BACON <a class="far fa-bookmark" style="margin-left: 50px;"></a></h3>
                    <h5>PIZZA GÀ PHÔ MAI THỊT HEO XÔNG KHÓI</h5>
                    <hr>
                    <p>Topped with barbecue bacon, caramelized onions, maple bacon</p>
                  </div>
                  <div class="card-footer">
                    <button class="btn w-100" style="background-color: rgba(124, 25, 25, 0.795);"
                      data-is-selected-pizza="N" id="bbq-select-btn">Choose</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- 4. Phần Select Drinks-->
        <div class="container border border-danger">
          <div class="text-center pt-5">
            <span class="h2  border-bottom-3 pt-5" style="color: crimson; font-family: cursive;">Select Drink</span>
          </div>
          <div class="form-group">
            <label for="drink-select">Drink</label>
            <select class="form-control" id="drink-select">
              <option value="all">Please Choose!</option>
            </select>
          </div>
        </div>
        <p style="text-align: center; margin-top: 10px;">***************************</p>
        <!-- 5 Thông tin đơn hàng -->
        <div class="container border border-danger">
          <div id="contact" class="row">
            <!-- Title Contact Us -->
            <div class="col-sm-12 text-center p-4 mt-4">
              <h2><b class="p-2 border-bottom">Contact Us</b></h2>
            </div>
            <!-- Content Contact Us -->
            <div class="col-sm-12">
              <div class="row">
                <div class="col-sm-12">
                  <div class="form-group">
                    <label for="fullname">Fullname</label>
                    <input type="text" class="form-control" id="inp-fullname" placeholder="Họ và tên">
                  </div>
                  <div class="form-group">
                    <label for="email">Email</label>
                    <input type="text" class="form-control" id="inp-email" placeholder="Email">
                  </div>
                  <div class="form-group">
                    <label for="dien-thoai">Tel</label>
                    <input type="text" class="form-control" id="inp-dien-thoai" placeholder="Điện thoại">
                  </div>
                  <div class="form-group">
                    <label for="dia-chi">Address</label>
                    <input type="text" class="form-control" id="inp-dia-chi" placeholder="Địa chỉ">
                  </div>
                  <div class="form-group">
                    <label for="message">Message</label>
                    <input type="text" class="form-control" id="inp-message" placeholder="Lời nhắn">
                  </div>
                  <div class="form-group">
                    <label for="message">Voucher ID</label>
                    <input type="text" class="form-control" id="inp-voucher-id" placeholder="mã giảm giá">
                  </div>
                  <button type="button" class="btn btn-dark w-100" id="check-order">Check Order</button>
                </div>
              </div>
            </div>
          </div>
          <!-- vùng hiển thị thông tin đơn hàng(order) -->
          <!--<div id="div-container-order" class="container bg-warning p-2 jumbotron" style="display: none;">
            <div id="div-order-infor" class="text-white p-3">...</div>
            <div class="p-2">
              <button type="button" class="btn btn-info w-100" >Send order</button>
            </div>
          </div>-->
          <div id="div-container-thank-you" class="container bg-info p-2 jumbotron" style="display: none;">
            <div id="div-order-infor" class="text-white p-3">Cảm ơn bạn đã đặt hàng</div>
            <div class="p-2">
              <div class="form-group">
                <label for="message">Mã đơn hàng</label>
                <input type="text" class="form-control" id="out-ma-order">
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Footer -->
  <div class="container-fluid bg-warning p-5">
    <div class="row text-center">
      <div class="col-sm-12">
        <h4 class="m-2">Footer</h4>
        <a href="#" class="btn btn-dark m-3"><i class="fa fa-arrow-up"></i>To the top</a>
        <div class="m-2">
          <i class="fa-brands fa-facebook w3-hover-opacity"></i>
          <i class="fa-brands fa-instagram w3-hover-opacity"></i>
          <i class="fa-brands fa-snapchat w3-hover-opacity"></i>
          <i class="fa-brands fa-pinterest-p w3-hover-opacity"></i>
          <i class="fa-brands fa-twitter w3-hover-opacity"></i>
          <i class="fa-brands fa-linkedin w3-hover-opacity"></i>
        </div>
      </div>
    </div>
  </div>

  <!-- Thông tin đơn hàng modal -->
  <div>
    <div id="confirm-order-modal" class="modal fade" tabindex="-1">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="h5-modal-title">Confirm Order Detail</h5>
            <button class="close" data-dismiss="modal">&times;</button>
          </div>
          <div class="modal-body">
            <form>
              <div class="row">
                <p style="color: brown;">Customer detail</p>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="input-name">Name</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" disabled id="input-name" name="input-name" placeholder="..." class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="input-update-course-code">Phone</label>
                </div>
                <div class="col-sm-9">
                  <input type="number" disabled id="input-phone" name="input-phone" placeholder="..."
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="input-dia-chi">Address</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" disabled id="input-address" name="input-dia-chi" placeholder="..."
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="input-message">Message</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" disabled id="input-message" name="input-message" placeholder="..."
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="input-voucher-id">Voucher ID</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" disabled id="input-voucher-id" name="input-voucher-id" placeholder="..."
                    class="form-control">
                </div>
              </div>
              <div class="row">
                <p style="color: brown;"> Order detail</p>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="input-combo">Details</label>
                </div>
                <div class="col-sm-9">
                  <textarea disabled id="details-area" name="input-combo" placeholder="..."
                    class="form-control"></textarea>
                </div>
              </div>
            </form>
          </div>
          <div class="modal-footer">
            <button class="btn btn-secondary" id="btn-update-cancel" data-dismiss="modal">Back</button>
            <button class="btn btn-primary" id="btn-confirm-order">Confirm</button>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Confirm modal -->
  <div>
    <div class="modal fade" tabindex="-1" id="your-order-confirm-modal">
      <div class="modal-dialog">
        <div class="modal-content bg-warning">
          <div class="modal-header">
            <h5 class="modal-title" id="h5-modal-title">Confirmation</h5>
            <button class="close" data-dismiss="modal">&times;</button>
          </div>
          <div class="modal-body">
            <label>Thank you for your Order. Your Order Code Number is</label>
          </div>
          <div class="row form-group">
            <div class="col-sm-3">
              <label for="input-dia-chi">Order Code</label>
            </div>
            <div class="col-sm-8">
              <input type="text" disabled id="confirm-order-code-modal" name="confirm-oder-code-modal" placeholder="..."
                class="form-control">
            </div>
          </div>
          <div class="modal-footer">
            <button class="btn btn-secondary" data-dismiss="modal">Close</button>
          </div>
        </div>
      </div>
    </div>
  </div>



  <!-- Order Detail modal -->
  <div>
    <div id="update-course-modal" class="modal fade" tabindex="-1">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="h5-modal-title">Order Details</h5>
            <button class="close" data-dismiss="modal">&times;</button>
          </div>
          <div class="modal-body">
            <form>
              <div class="row">
                <p style="color: brown;">Customer detail</p>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="input-order-code">Order Code</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" disabled id="input-order-code" name="input-order-code" placeholder="..."
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="input-name">Name</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" disabled id="input-name" name="input-name" placeholder="..." class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="input-update-course-code">Phone</label>
                </div>
                <div class="col-sm-9">
                  <input type="number" disabled id="input-phone" name="input-phone" placeholder="..."
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="input-dia-chi">Address</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" disabled id="input-address" name="input-dia-chi" placeholder="..."
                    class="form-control">
                </div>
              </div>
              <div class="row">
                <p style="color: brown;"> Order detail</p>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="input-combo">Combo</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" disabled id="input-combo" name="input-combo" placeholder="..."
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="input-size">Size</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" disabled id="input-size" name="input-size" placeholder="..." class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="input-loai-pizza">Pizza Type</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" disabled id="input-loai-pizza" name="input-loai-pizza" placeholder="..."
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="input-suon">Grilled ribs</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" disabled id="input-suon" name="input-suon" placeholder="..." class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="input-drink">Drink Type</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" disabled id="input-drink" name="input-drink" placeholder="..."
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="input-so-luong">Amount</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" disabled id="input-so-luong" name="input-so-luong" placeholder="..."
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="input-salad">Salad</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" disabled id="input-salad" name="input-salad" placeholder="..."
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="input-voucher-id">Voucher ID</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" disabled id="input-voucher-id" name="input-voucher-id" placeholder="..."
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="input-gia-tien">Price</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" disabled id="input-gia-tien" name="input-gia-tien" placeholder="..."
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="input-discount">Discount</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" disabled id="input-discount" name="input-discount" placeholder="..."
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="input-last-price">Last price</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" disabled id="input-last-price" name="input-last-price" placeholder="..."
                    class="form-control">
                </div>
              </div>
            </form>
          </div>
          <div class="modal-footer">
            <button class="btn btn-secondary" id="btn-update-cancel" data-dismiss="modal">Cancel</button>
            <button class="btn btn-primary" id="btn-update-course">uPDATE</button>
          </div>
        </div>
      </div>
    </div>
  </div>

  <script>
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    var gBASE_URL = "http://localhost:8080/api/";

    /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
    $(document).ready(function () {
      onPageLoading();
    });

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */

    function onPageLoading() {
      callAPIToGetCampaign();
      callAPIToGetCombo();
      callAPIAndLoadDrinkSelect();
    }



    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

    //hàm get lời chào
    function callAPIToGetCampaign() {

      $.ajax({
        url: "http://localhost:8080/pizzaapi/api/campaigns",
        type: "GET",
        success: function (res) {
          $("#subheading-content-0").html(res);
        },
        error: function (paramErr) {
          console.log(paramErr.status)
        }
      });
    }

    //hàm get combo S info
    function callAPIToGetCombo() {

      $.ajax({
        url: "http://localhost:8080/pizzaapi/api/comboS",
        type: "GET",
        //dataType:"json",
        success: function (res) {
          console.log(typeof res);
          $("#sizeS-size").html(res[0].size);
          $("#sizeS-grilled").html(res[0].grilled);
          $("#sizeS-salad").html(res[0].salad);
          $("#sizeS-drink").html(res[0].drink);
          $("#sizeS-price").html(res[0].price);
          $("#sizeM-size").html(res[1].size);
          $("#sizeM-grilled").html(res[1].grilled);
          $("#sizeM-salad").html(res[1].salad);
          $("#sizeM-drink").html(res[1].drink);
          $("#sizeM-price").html(res[1].price);
          $("#sizeL-size").html(res[2].size);
          $("#sizeL-grilled").html(res[2].grilled);
          $("#sizeL-salad").html(res[2].salad);
          $("#sizeL-drink").html(res[2].drink);
          $("#sizeL-price").html(res[2].price);
        },
        error: function (paramErr) {
          console.log(paramErr.status)
        }
      });
    }

      //hàm gọi API select drink
      function callAPIAndLoadDrinkSelect() {
        "use strict";
        $.ajax({
          url: "http://localhost:8080/pizzaapi/drinks",
          dataType: "json",
          type: "GET",
          success: function (paramRes) {
            console.log(paramRes)
            handleDrinkList(paramRes);
          },
          error: function (paramErr) {
            console.log(paramErr.status);
          }
        });
      }

      //hàm tạo option cho select drink
      function handleDrinkList(paramDrink) {
        "use strict";
        for (var bI = 0; bI < paramDrink.length; bI++) {
          $("#drink-select").append($("<option>", {
            text: paramDrink[bI].tenNuocUong,
            value: paramDrink[bI].maNuocUong
          }));
        }

      }

  </script>


</body>



</html>